=== debian/changelog ===
rcracki-mt (0.7.0-1kali5) kali-dev; urgency=medium

  * Run wrap-and-sort -ast
  * Don't install executable as root
  * Bump standards version

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 21 May 2025 22:28:43 +0700

rcracki-mt (0.7.0-1kali4) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Archive, Bug-Database.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Remove invalid upstream metadata
  * d/watch: Update to use sourceforge not debian redirector.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Sat, 08 Apr 2023 20:26:10 -0500

rcracki-mt (0.7.0-1kali3) kali-dev; urgency=medium

  * Fix patch

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Jun 2021 08:47:35 +0200

rcracki-mt (0.7.0-1kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Add a debian/watch
  * Fix for new openssl
  * Add superficial autopkgtest
  * Bump Standards-Version to 4.5.1
  * Use debhelper-compat 13

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Jun 2021 14:16:37 +0200

rcracki-mt (0.7.0-1kali1) kali-dev; urgency=medium

  * Do not hardcode dependencies on C libraries.
  * Modernize packaging.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 25 Nov 2015 00:36:50 +0100

rcracki-mt (0.7.0-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Mon, 31 Dec 2012 10:48:26 -0700
