=== debian/control ===
Source: rcracki-mt
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Devon Kearns <dookie@kali.org>,
 Sophie Brun <sophie@offensive-security.com>,
Build-Depends:
 debhelper-compat (= 13),
 libssl-dev,
 pkgconf,
Standards-Version: 4.7.2
Homepage: https://freerainbowtables.com/
Vcs-Git: https://gitlab.com/kalilinux/packages/rcracki-mt.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/rcracki-mt

Package: rcracki-mt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Version of rcrack that supports hybrid and indexed tables
 rcracki_mt is our modified version of rcrack which supports
 hybrid and indexed tables. In addition to that, it also
 adds multi-core support
