=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=rcracki_mt
