=== debian/tests/control ===
Test-Command: rcracki_mt --help
Restrictions: superficial
