=== debian/watch ===
version=4
opts="uversionmangle=s/_beta/~beta/,searchmode=plain" \
https://sourceforge.net/projects/rcracki/rss?limit=10000000000000000000 \
https?://.*/rcracki_mt_(.+)_src\.7z debian uupdate
